Vector::BLF::EthernetFrame(3)

NAME
Vector::BLF::EthernetFrame - ETHERNET_FRAME.

SYNOPSIS

#include <EthernetFrame.h>

Inherits Vector::BLF::ObjectHeader.

  Public Types
enum Dir : uint16_t { Rx = 0, Tx = 1, TxRq = 2 }
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
std::array< uint8_t, 6 > sourceAddress {}
uint16_t channel {}
std::array< uint8_t, 6 > destinationAddress {}
uint16_t dir {}
Direction flag.
uint16_t type {}
uint16_t tpid {}
uint16_t tci {}
uint16_t payLoadLength {}
Number of valid payLoad bytes.
uint64_t reservedEthernetFrame {}
std::vector< uint8_t > payLoad {}
Max 1500 data bytes per frame.
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

Detailed Description

ETHERNET_FRAME. Ethernet frame

Member Enumeration Documentation

  enum Vector::BLF::EthernetFrame::Dir : uint16_t
enumeration for dir

Member Function Documentation

  uint32_t Vector::BLF::EthernetFrame::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::EthernetFrame::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::EthernetFrame::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Member Data Documentation

  uint16_t Vector::BLF::EthernetFrame::channel {}
The channel of the frame.

  std::array<uint8_t, 6> Vector::BLF::EthernetFrame::destinationAddress {}
Ethernet (MAC) address of target computer (network byte order).

  uint16_t Vector::BLF::EthernetFrame::dir {}

Direction flag. Direction flag

  std::vector<uint8_t> Vector::BLF::EthernetFrame::payLoad {}

Max 1500 data bytes per frame. Ethernet payload data (without Ethernet header)

  uint16_t Vector::BLF::EthernetFrame::payLoadLength {}

Number of valid payLoad bytes. Length of Ethernet payload data in bytes. Max. 1500 Bytes (without Ethernet header)

  uint64_t Vector::BLF::EthernetFrame::reservedEthernetFrame {}
reserved

  std::array<uint8_t, 6> Vector::BLF::EthernetFrame::sourceAddress {}
Ethernet (MAC) address of source computer (network byte order).

  uint16_t Vector::BLF::EthernetFrame::tci {}
TCI when VLAND tag valid, zero when no VLAN. See Ethernet standard specification.

  uint16_t Vector::BLF::EthernetFrame::tpid {}
TPID when VLAN tag valid, zero when no VLAN. See Ethernet standard specification.

  uint16_t Vector::BLF::EthernetFrame::type {}
EtherType which indicates protocol for Ethernet payload data

See Ethernet standard specification for valid values.

Author

Generated automatically by Doxygen for Vector BLF from the source code.